Pelosi April 2021: "Federal government cannot require someone to be vaccinated"

First published at 17:24 UTC on July 30th, 2021.

CategoryNews & Politics
SensitivityNormal - Content that is suitable for ages 16 and over